### Function

# Gimp Unit get_by_id

since: 3.0

#### Declaration [src]

    GimpUnit*
    gimp_unit_get_by_id (
      gint unit_id
    )

#### Description [src]

Returns the unique `GimpUnit` object corresponding to `unit_id`, which is the integer identifier as returned by `gimp_unit_get_id()`.

Available since: 3.0

#### Parameters

`unit_id`

  Type: `gint`

  The unit id.

#### Return value

Type: `GimpUnit`

The `GimpUnit` object with ID `unit_id`.

The data is owned by the called function.